/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./button/button.component";
import * as i2 from "./buttongroup/buttongroup.component";
import * as i3 from "./dropdownbutton/dropdownbutton.component";
import * as i4 from "./listbutton/button-item-template.directive";
import * as i5 from "./chip/chip.component";
import * as i6 from "./chip/chip-list.component";
import * as i7 from "./floatingactionbutton/floatingactionbutton.component";
import * as i8 from "./floatingactionbutton/templates/dial-item-template.directive";
import * as i9 from "./floatingactionbutton/templates/fab-template.directive";
import * as i10 from "./splitbutton/splitbutton.component";
import * as i11 from "./splitbutton/localization/custom-messages.component";
import * as i12 from "@progress/kendo-angular-common";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmodules'])
 * definition for the Buttons components.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Buttons module
 * import { ButtonsModule } from '@progress/kendo-angular-buttons';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, ButtonsModule], // import Buttons module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class ButtonsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ButtonsModule, never, [typeof i1.ButtonComponent, typeof i1.ButtonComponent, typeof i2.ButtonGroupComponent, typeof i3.DropDownButtonComponent, typeof i4.ButtonItemTemplateDirective, typeof i5.ChipComponent, typeof i5.ChipComponent, typeof i6.ChipListComponent, typeof i7.FloatingActionButtonComponent, typeof i8.DialItemTemplateDirective, typeof i9.FloatingActionButtonTemplateDirective, typeof i10.SplitButtonComponent, typeof i11.SplitButtonCustomMessagesComponent, typeof i12.ToggleButtonTabStopDirective, typeof i4.ButtonItemTemplateDirective, typeof i12.ToggleButtonTabStopDirective], [typeof i1.ButtonComponent, typeof i1.ButtonComponent, typeof i2.ButtonGroupComponent, typeof i3.DropDownButtonComponent, typeof i4.ButtonItemTemplateDirective, typeof i5.ChipComponent, typeof i5.ChipComponent, typeof i6.ChipListComponent, typeof i7.FloatingActionButtonComponent, typeof i8.DialItemTemplateDirective, typeof i9.FloatingActionButtonTemplateDirective, typeof i10.SplitButtonComponent, typeof i11.SplitButtonCustomMessagesComponent, typeof i12.ToggleButtonTabStopDirective, typeof i4.ButtonItemTemplateDirective, typeof i12.ToggleButtonTabStopDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ButtonsModule>;
}
